org.apache.ignite.configuration

## Class BinaryConfiguration

- java.lang.Object
- - org.apache.ignite.configuration.BinaryConfiguration

All Implemented Interfaces:
  Serializable

    public class BinaryConfiguration
    extends Object
    implements Serializable

Configuration object for Ignite Binary Objects.

See Also:
  `IgniteBinary`, Serialized Form

### Field Summary

Fields
`static boolean` `DFLT_COMPACT_FOOTER` Default compact footer flag setting.

### Constructor Summary

Constructors
Constructor and Description
`BinaryConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BinaryIdMapper` `getIdMapper()` Gets ID mapper.
`BinaryNameMapper` `getNameMapper()` Gets name mapper.
`BinarySerializer` `getSerializer()` Gets serializer.
`Collection<BinaryTypeConfiguration>` `getTypeConfigurations()` Gets types configuration.
`boolean` `isCompactFooter()` Get whether to write footers in compact form.
`BinaryConfiguration` `setClassNames(Collection<String> clsNames)` Sets class names of binary objects explicitly.
`BinaryConfiguration` `setCompactFooter(boolean compactFooter)` Set whether to write footers in compact form.
`BinaryConfiguration` `setIdMapper(BinaryIdMapper idMapper)` Sets ID mapper.
`BinaryConfiguration` `setNameMapper(BinaryNameMapper nameMapper)` Sets name mapper.
`BinaryConfiguration` `setSerializer(BinarySerializer serializer)` Sets serializer.
`BinaryConfiguration` `setTypeConfigurations(Collection<BinaryTypeConfiguration> typeCfgs)` Sets type configurations.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DFLT_COMPACT_FOOTER

    public static final boolean DFLT_COMPACT_FOOTER

Default compact footer flag setting.

See Also:
  Constant Field Values

### Constructor Detail

#### BinaryConfiguration

    public BinaryConfiguration()

### Method Detail

#### setClassNames

    public BinaryConfiguration setClassNames(Collection<String> clsNames)

Sets class names of binary objects explicitly.

Parameters:
  `clsNames` - Class names.
Returns:
  `this` for chaining.

#### getIdMapper

    public BinaryIdMapper getIdMapper()

Gets ID mapper.

Returns:
  ID mapper.

#### setIdMapper

    public BinaryConfiguration setIdMapper(BinaryIdMapper idMapper)

Sets ID mapper.

Parameters:
  `idMapper` - ID mapper.
Returns:
  `this` for chaining.

#### getNameMapper

    public BinaryNameMapper getNameMapper()

Gets name mapper.

Returns:
  Name mapper.

#### setNameMapper

    public BinaryConfiguration setNameMapper(BinaryNameMapper nameMapper)

Sets name mapper.

Parameters:
  `nameMapper` - Name mapper.
Returns:
  `this` for chaining.

#### getSerializer

    public BinarySerializer getSerializer()

Gets serializer.

Returns:
  Serializer.

#### setSerializer

    public BinaryConfiguration setSerializer(BinarySerializer serializer)

Sets serializer.

Parameters:
  `serializer` - Serializer.
Returns:
  `this` for chaining.

#### getTypeConfigurations

    public Collection<BinaryTypeConfiguration> getTypeConfigurations()

Gets types configuration.

Returns:
  Types configuration.

#### setTypeConfigurations

    public BinaryConfiguration setTypeConfigurations(Collection<BinaryTypeConfiguration> typeCfgs)

Sets type configurations.

Parameters:
  `typeCfgs` - Type configurations.
Returns:
  `this` for chaining.

#### isCompactFooter

    public boolean isCompactFooter()

Get whether to write footers in compact form. When enabled, Ignite will not write fields metadata when serializing objects, because internally `BinaryMarshaller` already distribute metadata inside cluster. This increases serialization performance.

WARNING! This mode should be disabled when already serialized data can be taken from some external sources (e.g. cache store which stores data in binary form, data center replication, etc.). Otherwise binary objects without any associated metadata could appear in the cluster and Ignite will not be able to deserialize it.

Defaults to `DFLT_COMPACT_FOOTER`.

Returns:
  Whether to write footers in compact form.

#### setCompactFooter

    public BinaryConfiguration setCompactFooter(boolean compactFooter)

Set whether to write footers in compact form. See `isCompactFooter()` for more info.

Parameters:
  `compactFooter` - Whether to write footers in compact form.
Returns:
  `this` for chaining.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020